#Module-Specific definitions
%define mod_name mod_php
%define mod_conf 70_%{mod_name}.conf
%define mod_so %{mod_name}5.so
%define extname apache2handler

%define epoch 3
%define major 5
%define libname %mklibname php5_common %{major}
%define apache_version 2.2.4
%define php_version 5.2.1

Summary:	The PHP5 HTML-embedded scripting language for use with apache
Name:		apache-%{mod_name}
Version:	%{php_version}
Release:	%mkrel 4
Group:		System/Servers
License:	PHP License
URL:		http://www.php.net/ 
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= %{apache_version}
Requires(pre):	apache-mpm-prefork >= %{apache_version}
Requires(pre):	apache-base >= %{apache_version}
Requires(pre):	apache-modules >= %{apache_version}
Requires:	apache-conf >= %{apache_version}
Requires:	apache-mpm-prefork >= %{apache_version}
Requires:	apache-base >= %{apache_version}
Requires:	apache-modules >= %{apache_version}
Requires(post): %{libname} >= %{epoch}:%{php_version}
Requires(post): php-ctype >= %{epoch}:%{php_version}
Requires(post): php-ftp >= %{epoch}:%{php_version}
Requires(post): php-gettext >= %{epoch}:%{php_version}
Requires(post): php-ini >= %{php_version}
Requires(post): php-pcre >= %{epoch}:%{php_version}
Requires(post): php-posix >= %{epoch}:%{php_version}
Requires(post): php-session >= %{epoch}:%{php_version}
Requires(post): php-sysvsem >= %{epoch}:%{php_version}
Requires(post):	php-sysvshm >= %{epoch}:%{php_version}
Requires(post):	php-openssl >= %{epoch}:%{version}
Requires(post):	php-zlib >= %{epoch}:%{version}
Requires(post): php-tokenizer >= %{php_version}
Requires(post):	php-hash >= %{php_version}
Requires(post):	php-xmlreader >= %{php_version}
Requires(post):	php-xmlwriter >= %{php_version}
Requires(post):	php-simplexml >= %{php_version}
Requires(post):	php-suhosin >= 0.9.10
Requires(post):	php-filter >= 0.11.0
Requires(post):	php-json >= 1.2.1
Requires(preun): %{libname} >= %{epoch}:%{php_version}
Requires(preun): php-ctype >= %{epoch}:%{php_version}
Requires(preun): php-ftp >= %{epoch}:%{php_version}
Requires(preun): php-gettext >= %{epoch}:%{php_version}
Requires(preun): php-ini >= %{php_version}
Requires(preun): php-pcre >= %{epoch}:%{php_version}
Requires(preun): php-posix >= %{epoch}:%{php_version}
Requires(preun): php-session >= %{epoch}:%{php_version}
Requires(preun): php-sysvsem >= %{epoch}:%{php_version}
Requires(preun): php-sysvshm >= %{epoch}:%{php_version}
Requires(preun): php-openssl >= %{epoch}:%{version}
Requires(preun): php-zlib >= %{epoch}:%{version}
Requires(preun): php-tokenizer >= %{php_version}
Requires(preun): php-hash >= %{php_version}
Requires(preun): php-xmlreader >= %{php_version}
Requires(preun): php-xmlwriter >= %{php_version}
Requires(preun): php-simplexml >= %{php_version}
Requires(preun): php-suhosin >= 0.9.10
Requires(preun): php-filter >= 0.11.0
Requires(preun): php-json >= 1.2.1
Requires:	%{libname} >= %{epoch}:%{php_version}
Requires:	php-ctype >= %{epoch}:%{php_version}
Requires:	php-ftp >= %{epoch}:%{php_version}
Requires:	php-gettext >= %{epoch}:%{php_version}
Requires:	php-ini >= %{php_version}
Requires:	php-pcre >= %{epoch}:%{php_version}
Requires:	php-posix >= %{epoch}:%{php_version}
Requires:	php-session >= %{epoch}:%{php_version}
Requires:	php-sysvsem >= %{epoch}:%{php_version}
Requires:	php-sysvshm >= %{epoch}:%{php_version}
Requires:	php-openssl >= %{epoch}:%{version}
Requires:	php-zlib >= %{epoch}:%{version}
Requires:	php-tokenizer >= %{php_version}
Requires:	php-hash >= %{php_version}
Requires:	php-xmlreader >= %{php_version}
Requires:	php-xmlwriter >= %{php_version}
Requires:	php-simplexml >= %{php_version}
Requires:	php-suhosin >= 0.9.10
Requires:	php-filter >= 0.11.0
Requires:	php-json >= 1.2.1
Requires:	php-timezonedb >= 2007.3
BuildRequires:	apache-devel >= %{apache_version}
BuildRequires:	php-devel >= %{epoch}:%{php_version}
BuildRequires:	dos2unix
Provides:	php mod_php
Obsoletes:	php mod_php
Conflicts:	apache-mpm-worker >= %{apache_version}
Conflicts:	apache-mpm-itk >= %{apache_version}
Conflicts:	apache-mpm-event >= %{apache_version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Epoch:		%{epoch}

%description
PHP5 is an HTML-embedded scripting language. PHP5 attempts to make it easy for
developers to write dynamically generated web pages. PHP5 also offers built-in
database integration for several commercial and non-commercial database
management systems, so writing a database-enabled web page with PHP5 is fairly
simple. The most common use of PHP coding is probably as a replacement for CGI
scripts. The %{name} module enables the apache web server to understand and
process the embedded PHP language in web pages.

This package contains PHP version 5. You'll also need to install the apache web
server.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/sapi/%{extname}/* .
cp %{_usrsrc}/php-devel/internal_functions.c .
cp %{_includedir}/php/ext/date/lib/timelib_config.h .

# strip away annoying ^M
find -type f -exec dos2unix -U {} \;

cp %{SOURCE1} %{mod_conf}

%build

%{_sbindir}/apxs \
    `php-config --includes` \
    `apr-1-config --link-ld --libs` \
    `xml2-config --cflags` \
    -I%{_usrsrc}/php-devel \
    -I. -lphp5_common \
    -c mod_php5.c sapi_apache2.c apache_config.c \
    php_functions.c internal_functions.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.1-4mdv2007.1
+ Revision: 140586
- rebuild

* Fri Mar 09 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.1-3mdv2007.1
+ Revision: 139554
- add the new php-timezonedb package as a dep to solve future presumptive problems

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.1-2mdv2007.1
+ Revision: 126622
- general cleanups

* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.1-1mdv2007.1
+ Revision: 117582
- rebuilt against new upstream php version (5.2.1)

* Mon Dec 18 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.0-3mdv2007.1
+ Revision: 98715
- rebuilt to make it recognize the spl stuff (fixes #27742)

* Tue Nov 14 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.0-2mdv2007.1
+ Revision: 84092
- fix deps

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.0-1mdv2007.0
+ Revision: 77421
- rebuilt for php-5.2.0

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.6-4mdv2007.1
+ Revision: 75410
- bunzip the config file
- force requirement on the upcoming php-suhosin extension package
- Import apache-mod_php



* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-2mdv2007.0
- cleanup in an attempt to fix #24290

* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-1mdk
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-2mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-1mdk
- rebuilt for php-5.1.4

* Thu May 04 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.3-1mdk
- rebuilt for php-5.1.3

* Tue Apr 04 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-3mdk
- conflict with apache-mpm-worker because we have no 
  threadsafe php yet (#21841)

* Tue Jan 17 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-2mdk
- fix deps after reading how a default install works

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-1mdk
- rebuilt against php-5.1.2

* Mon Dec 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-4mdk
- rebuilt to pickup changes from php-devel-5.1.1-4mdk

* Mon Dec 19 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-3mdk
- rebuild

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-2mdk
- rebuilt against apache-2.2.0

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-1mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-1mdk
- rebuilt against php-5.1.0

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-0.RC4.1mdk
- rebuilt against php-5.1.0RC4

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-0.RC1.3mdk
- rebuilt to provide a -debug package too

* Sun Oct 16 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-0.RC1.2mdk
- rebuilt against correct apr-0.9.7

* Fri Oct 14 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-0.RC1.1mdk
- rebuilt for apache-2.0.55

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 3:2.0.54_5.1.0-0.RC1.1mdk
- rebuilt against php-5.1.0RC1
- drop the php-yp dep as yp lives in pecl now

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_5.0.5-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_5.0.4-4mdk
- added another work around for a rpm bug

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_5.0.4-3mdk
- added a work around for a rpm bug, "Requires(foo,bar)" don't work

* Sun Jun 05 2005 Oden Eriksson <oeriksson@mandriva.com> 3:2.0.54_5.0.4-2mdk
- move the DirectoryIndex statements from the apache-conf package into 
  this configuration

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 3:2.0.54_5.0.4-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.4-1mdk
- rebuilt for php-5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.3-5mdk
- use the %%mkrel macro

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.3-4mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.3-3mdk
- spec file cleanups, remove the ADVX-build stuff

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.3-2mdk
- rebuilt against a non hardened-php aware php lib

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.3-1mdk
- rebuilt for apache 2.0.53

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_5.0.3-1mdk
- rebuilt for php-5.0.3
- cleanups

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_5.0.2-1mdk
- built for apache 2.0.52

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_5.0.2-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_5.0.1-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_5.0.0-1mdk
- rebuilt for php-5.0.0
- made some php related cleanups

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_4.3.8-1mdk
- rebuilt for php-4.3.8

* Wed Jun 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_4.3.7-1mdk
- built for apache 2.0.50

* Fri Jun 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.7-2mdk
- sync with fedora (fixes a memory leak)

* Fri Jun 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.7-1mdk
- built for php-4.3.7
- fix deps

* Sat May 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.6-2mdk
- don't link against aprutil and db4

* Sat May 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.6-1mdk
- rebuilt for apache v2.0.49 and php 4.3.6

* Sun Mar 21 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_4.3.5-0.1mdk
- rebuilt for apache v2.0.49 and php 4.3.5 (rc3)

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_4.3.4-1mdk
- fix versioning

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_4.3.4-1mdk
- built for php 4.3.4
- fix explicit-lib-dependency

* Mon Jul 21 2003 David BAUDENS <baudens@mandrakesoft.com> 2.0.47_4.3.2-2mdk
- Rebuild to fix Bad siganture

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_4.3.2-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_4.3.2-3mdk
- require php-ini (;))

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_4.3.2-2mdk
- require php.ini
- updated S1
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_4.3.2-1mdk
- rebuild for apache v2.0.46 and php v4.3.2
- use the new apache2handler SAPI instead
- misc spec file fixes
- build against db4 not both db3 and db4

* Fri Apr 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_4.3.1-1mdk
- cosmetic rebuild for apache v2.0.45

* Thu Feb 20 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_4.3.1-2mdk
- fix provides

* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_4.3.1-1mdk
- rebuild for it to show new PHP version in signature
  (even if nothing has changed)

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_4.3.0-2mdk
- rebuild

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_4.3.0-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.3.0-6mdk
- fix buildrequires apachedevel >= 2.0.53-1mdk, as 
  pointed out by Olivier Thauvin

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.3.0-5mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.3.0-4mdk
- rebuilt against rebuilt buildrequires

* Thu Jan 08 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43_4.3.0-3mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Thu Jan 08 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43_4.3.0-2mdk
- Rebuild on the cluster, try #1, will need to be rebuilt again
  when everything is synchronized

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43_4.3.0-1mdk
- rebuilt for new PHP 4.3.0
- macroize db3/db4 so we can easily recompile between 9.0 and Cooker
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.2.3-2mdk
- rebuilt for/against apache2 where dependencies has changed in apr
- a lot of requires and buildrequires changes

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.2.3-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)
- sanitize rpm package versioning
- misc spec file fixes

* Thu Sep 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_4.2.3-2mdk
- rebuilt against new apache v2.0.42

* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_4.2.3-1mdk
- 4.2.3 maintenance release

* Wed Sep  3 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_4.2.2-2mdk
- Add BuildRequires ADVX-build

* Wed Aug 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_4.2.2-1mdk
- First Apache 2 module to comply with the ADVX policy at:
  http://advx.org/devel/policy.php
